/*
		  Endeavour Recycle Bin Operation Callbacks
 */

#ifndef RECBIN_OP_CB_H
#define RECBIN_OP_CB_H

#include <gtk/gtk.h>
#include "toolbar.h"
#include "edv_find_bar.h"
#include "recbin.h"


extern void EDVRecBinOPCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void EDVRecBinOPEnterCB(
	toolbar_item_struct *item, gint id, gpointer data
);
extern void EDVRecBinOPLeaveCB(
	toolbar_item_struct *item, gint id, gpointer data
);

extern void EDVRecBinOPSyncDisks(edv_recbin_struct *recbin);
extern void EDVRecBinOPWriteProtect(edv_recbin_struct *recbin);
extern void EDVRecBinOPDeleteMethodRecycle(edv_recbin_struct *recbin);
extern void EDVRecBinOPDeleteMethodPurge(edv_recbin_struct *recbin);

extern void EDVRecBinOPClose(edv_recbin_struct *recbin);
extern void EDVRecBinOPExit(edv_recbin_struct *recbin);

extern void EDVRecBinOPRecover(edv_recbin_struct *recbin);
extern void EDVRecBinOPPurge(edv_recbin_struct *recbin);
extern void EDVRecBinOPPurgeAll(edv_recbin_struct *recbin);
extern void EDVRecBinOPSelectAll(edv_recbin_struct *recbin);
extern void EDVRecBinOPUnselectAll(edv_recbin_struct *recbin);

extern void EDVRecBinOPRefresh(edv_recbin_struct *recbin);
extern void EDVRecBinOPRefreshAll(edv_recbin_struct *recbin);


#endif	/* RECBIN_OP_CB_H */
